Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.xml
Enum QDomImplementation.InvalidDataPolicy

    java.lang.Object
      java.lang.Enum<QDomImplementation.InvalidDataPolicy>
          com.trolltech.qt.xml.QDomImplementation.InvalidDataPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QDomImplementation.InvalidDataPolicy>

Enclosing class:
  QDomImplementation

    public static enum QDomImplementation.InvalidDataPolicy

extends java.lang.Enum<QDomImplementation.InvalidDataPolicy>
implements QtEnumerator

This enum specifies what should be done when a factory function in `QDomDocument` is called with invalid data.

See Also:
  `setInvalidDataPolicy`, `invalidDataPolicy`

Enum Constant Summary
`AcceptInvalidChars` The data should be stored in the DOM object anyway.
`DropInvalidChars` The invalid characters should be removed from the data.
`ReturnNullNode` The factory function should return a null node.

Method Summary
`static QDomImplementation.InvalidDataPolicy` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDomImplementation.InvalidDataPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QDomImplementation.InvalidDataPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AcceptInvalidChars

    public static final QDomImplementation.InvalidDataPolicy AcceptInvalidChars

  The data should be stored in the DOM object anyway. In this case the resulting XML document might not be well-formed. This is the default value and QDom's behavior in Qt < 4.1.

### DropInvalidChars

    public static final QDomImplementation.InvalidDataPolicy DropInvalidChars

  The invalid characters should be removed from the data.

### ReturnNullNode

    public static final QDomImplementation.InvalidDataPolicy ReturnNullNode

  The factory function should return a null node.

Method Detail

### values

    public static final QDomImplementation.InvalidDataPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QDomImplementation.InvalidDataPolicy c : QDomImplementation.InvalidDataPolicy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QDomImplementation.InvalidDataPolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDomImplementation.InvalidDataPolicy resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD